Skip to main content
GET
/
api
/
v2.1
/
calendar
/
guidance
Returns guidance data
curl --request GET \
  --url 'https://api.benzinga.com/api/v2.1/calendar/guidance?token=' \
  --header 'accept: <accept>'
{
  "guidance": [
    {
      "currency": "USD",
      "cusip": "00BMCD000",
      "date": "2026-01-05",
      "eps_guidance_est": "",
      "eps_guidance_max": "",
      "eps_guidance_min": "",
      "eps_guidance_prior_max": "",
      "eps_guidance_prior_min": "",
      "eps_type": "",
      "exchange": "NASDAQ",
      "id": "695bcc0c83cac20001becbd4",
      "importance": 1,
      "is_primary": "Y",
      "name": "RedCloud Holdings",
      "notes": "",
      "period": "FY",
      "period_year": 2026,
      "prelim": "Y",
      "revenue_guidance_est": "91170920.000",
      "revenue_guidance_max": "100000000.000",
      "revenue_guidance_min": "100000000.000",
      "revenue_guidance_prior_max": "100000000",
      "revenue_guidance_prior_min": "100000000.000",
      "revenue_type": "GAAP",
      "ticker": "RCT",
      "time": "09:30:00",
      "updated": 1767623735
    }
  ]
}
{
  "guidance": [
    {
      "currency": "USD",
      "cusip": "00BMCD000",
      "date": "2026-01-05",
      "eps_guidance_est": "",
      "eps_guidance_max": "",
      "eps_guidance_min": "",
      "eps_guidance_prior_max": "",
      "eps_guidance_prior_min": "",
      "eps_type": "",
      "exchange": "NASDAQ",
      "id": "695bcc0c83cac20001becbd4",
      "importance": 1,
      "is_primary": "Y",
      "name": "RedCloud Holdings",
      "notes": "",
      "period": "FY",
      "period_year": 2026,
      "prelim": "Y",
      "revenue_guidance_est": "91170920.000",
      "revenue_guidance_max": "100000000.000",
      "revenue_guidance_min": "100000000.000",
      "revenue_guidance_prior_max": "100000000",
      "revenue_guidance_prior_min": "100000000.000",
      "revenue_type": "GAAP",
      "ticker": "RCT",
      "time": "09:30:00",
      "updated": 1767623735
    }
  ]
}

Authorizations

token
string
query
required

Headers

accept
enum<string>
default:application/json
required

Specifies return format. Query parameters work the same for both formats

Available options:
application/json

Query Parameters

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date

pagesize
integer

Number of results returned. Limit 1000

parameters[date]
string<YYYY-MM-DD>

Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest

parameters[date_from]
string<YYYY-MM-DD>

Date to query from point in time

parameters[date_to]
string<YYYY-MM-DD>

Date to query to point in time

parameters[importance]
enum<integer>

The importance level to filter by. Uses Greater Than or Equal To the importance indicated

Available options:
0,
1,
2,
3,
4,
5
parameters[is_primary]
enum<string>
default:Y

Determines if guidance returned is primary, secondary or all. Default set to Y

Available options:
Y,
N,
All
parameters[tickers]
string<csv>

One or more ticker symbols separated by a comma. Maximum 50 tickers

parameters[updated]
integer

Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated

Response

success

API response containing an array of guidance records

guidance
object[]